//
//  BMKSCTXSearchView.h
//  SCTXPassengerDemo
//
//  Created by baidu on 2021/2/20.
//  Copyright © 2021 baidu. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN
@protocol BMKSearchViewDelegate <NSObject>
/// 取消检索
- (void)cancelSearch;
/// 输入回调
- (void)textDidChange:(NSString *)searchText;
@end

@interface BMKSearchView : UIView
@property (nonatomic, weak) id <BMKSearchViewDelegate> delegate;
/// 检索框
@property (nonatomic, strong) UISearchBar *searchBar;
/// 城市信息
@property (nonatomic, strong) UIButton *cityInfoButton;
@end

NS_ASSUME_NONNULL_END
