//
//  BMKCustomPointAnnotation.h
//  BaiduRecommendStopDemo
//
//  Created by v_wangdachuan on 2022/11/15.
//

#import <BaiduMapAPI_Map/BMKMapComponent.h>

typedef NS_ENUM(NSUInteger, BMKCustomAnnotationType) {
    BMKCustomAnnotationTypeDefault,
    BMKCustomAnnotationTypeStart,
    BMKCustomAnnotationTypeEnd,
    BMKCustomAnnotationTypeRecommendStop
};
NS_ASSUME_NONNULL_BEGIN


@interface BMKCustomPointAnnotation : BMKPointAnnotation

@property (nonatomic, assign) BMKCustomAnnotationType type;

/// 请求全景pid
@property (nonatomic, copy) NSString *pid;
//全景图片
@property (nonatomic, strong) UIImage *panoImage;

@end

NS_ASSUME_NONNULL_END
